package com.nisum.servicea.controller;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

//@RefreshScope
@RestController
public class MessageRestController {

    @Value("${message1:Default Message1 from controller}")
    private String message1;

    @Value("${message2:Default Message2 from controller}")
    private String message2;

    @Value("${message3:Default Message3 from controller}")
    private String message3;

    @RequestMapping("/message1")
    String getMessage1() {
        return this.message1;
    }

    @RequestMapping("/message2")
    String getMessage2() {
        return this.message2;
    }

    @RequestMapping("/message3")
    String getMessage3() {
        return this.message3;
    }
}
